Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.simpleparser
Class EntitiesToUnicode

    java.lang.Object
      com.lowagie.text.xml.simpleparser.EntitiesToUnicode

    public class EntitiesToUnicode

extends Object

This class contains entities that can be used in an entity tag.

Field Summary
`static HashMap` | `map` This is a map that contains the names of entities and their unicode value.

Constructor Summary
`EntitiesToUnicode()`

Method Summary
`static char` | `decodeEntity(String name)` Translates an entity to a unicode character.
`static String` | `decodeString(String s)` Translates a String with entities (&...;) to a String without entities, replacing the entity with the right (unicode) character.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static final HashMap map

  This is a map that contains the names of entities and their unicode value.

Constructor Detail

### EntitiesToUnicode

    public EntitiesToUnicode()

Method Detail

### decodeEntity

    public static char decodeEntity(String name)

  Translates an entity to a unicode character.

  Parameters:
    `name` - the name of the entity
  Returns:
    the corresponding unicode character

### decodeString

    public static String decodeString(String s)

  Translates a String with entities (&...;) to a String without entities, replacing the entity with the right (unicode) character.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD